Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4399 - RFE: support for user definable tags
Summary: RFE: support for user definable tags
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-06 17:56 UTC by kestes
Modified: 2005-10-31 22:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-29 14:56:39 UTC


Attachments (Terms of Use)

Description kestes 1999-08-06 17:56:43 UTC
I want the package builder to be able to specify name/value
pairs
which will appear inside 'rpm -qi' output.  There are many
kinds of
per-package information which I want put inside the package
and
queriable from the package file or the installed system.
This
information may not make sense in other installations so
should not be
added by redhat into all the packages.  As a hack I could
add this
info into the Description field but it is not really part of
the
description.


One of these fields is the CVS Tag.  Many of my packages are
in one to
one correspondence with our CVS repository.  If I do a build
of tagged
sources I want the tag associated with the package. I want
to query
the package and find out what tag it was built with,
sometimes we lose
track of our tags, we have the package and we do not know
which tag of
many it corresponds to.

Another field is the Monitor.  Many of my packages are
system
services.  Every time a new service is installed on a
machine I want
my monitoring software to automatically update its
configuration and
monitor that service.  Hence the package should tell the
monitoring
software what monitors to run if the package is installed on
a new
system.

Ken Estes

Comment 1 Paul Nasrat 2005-09-29 14:56:39 UTC
This feature is currently not being considered for rpm.  If you wish to petition
the feature for upstream rpm please use rpm-devel list

https://lists.dulug.duke.edu/mailman/listinfo/rpm-devel


Note You need to log in before you can comment on or make changes to this bug.